Holger's Java API

## com.antelmann.cddb
Class Role

    java.lang.Object
      com.antelmann.cddb.Role

All Implemented Interfaces:
  Serializable, Comparable<Role>

    public class Role

extends Object
implements Serializable, Comparable<Role>

A Role defines the relationship of what a resource contributes to a composition or track.

Author:
  Holger Antelmann
See Also:
  `Contribution`, `Track`, `Composition`, `Resource`, Serialized Form

Field Summary
`static Role` `ARTIST`
`static Role` `BAND`
`static Role` `COMPOSER`
`static Role` `CONDUCTOR`
`static Role` `INSTRUMENT`
`static Role` `LOCATION`
`static Role` `MUSICIAN`
`static Role` `ORCHESTRA`
`static Role` `OTHER`
`static Role` `PERFORMER`
`static Role` `PRODUCER`
`static Role` `RECORDING_TYPE`
`static Role` `SOLIST`
`static Role` `VOCAL`

Constructor Summary
`protected` `Role(String description)` This protected constructor allows for further customized roles through subclassing; otherwise it is prefered to stick to the pre-defined ones.

Method Summary
`int` `compareTo(Role g)`
`boolean` `equals(Object obj)`
`String` `getDescription()`
`static Role[]` `getKnownRoles()`
`static Role` `getRole(String description)`
`int` `hashCode()`
`static boolean` `isKnownRole(Role role)`
`String` `toString()` returns getDescription()

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ARTIST

    public static final Role ARTIST

### BAND

    public static final Role BAND

### COMPOSER

    public static final Role COMPOSER

### CONDUCTOR

    public static final Role CONDUCTOR

### INSTRUMENT

    public static final Role INSTRUMENT

### LOCATION

    public static final Role LOCATION

### MUSICIAN

    public static final Role MUSICIAN

### ORCHESTRA

    public static final Role ORCHESTRA

### OTHER

    public static final Role OTHER

### PRODUCER

    public static final Role PRODUCER

### PERFORMER

    public static final Role PERFORMER

### SOLIST

    public static final Role SOLIST

### VOCAL

    public static final Role VOCAL

### RECORDING_TYPE

    public static final Role RECORDING_TYPE

Constructor Detail

### Role

    protected Role(String description)

  This protected constructor allows for further customized roles through subclassing; otherwise it is prefered to stick to the pre-defined ones.

Method Detail

### getDescription

    public String getDescription()

### isKnownRole

    public static boolean isKnownRole(Role role)

### getRole

    public static Role getRole(String description)
                        throws NoSuchElementException

  Throws:
    `NoSuchElementException`

### getKnownRoles

    public static Role[] getKnownRoles()

### compareTo

    public int compareTo(Role g)

  Specified by:
    `compareTo` in interface `Comparable<Role>`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  returns getDescription()

  Overrides:
    `toString` in class `Object`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads